.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the doc/base/classes.xml source instead.

.. _class_MultiMeshInstance:

MultiMeshInstance
=================

**Inherits:** :ref:`GeometryInstance<class_geometryinstance>` **<** :ref:`VisualInstance<class_visualinstance>` **<** :ref:`Spatial<class_spatial>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Node that instances a :ref:`MultiMesh<class_multimesh>`.

Member Functions
----------------

+------------------------------------+-----------------------------------------------------------------------------------------------------------------------+
| :ref:`MultiMesh<class_multimesh>`  | :ref:`get_multimesh<class_MultiMeshInstance_get_multimesh>`  **(** **)** const                                        |
+------------------------------------+-----------------------------------------------------------------------------------------------------------------------+
| void                               | :ref:`set_multimesh<class_MultiMeshInstance_set_multimesh>`  **(** :ref:`MultiMesh<class_multimesh>` multimesh  **)** |
+------------------------------------+-----------------------------------------------------------------------------------------------------------------------+

Member Variables
----------------

- :ref:`MultiMesh<class_multimesh>` **multimesh**

Description
-----------

MultiMeshInstance is a :ref:`Node<class_node>` that takes a :ref:`MultiMesh<class_multimesh>` resource and adds it to the current scenario by creating an instance of it (yes, this is an instance of instances).

Member Function Description
---------------------------

.. _class_MultiMeshInstance_get_multimesh:

- :ref:`MultiMesh<class_multimesh>`  **get_multimesh**  **(** **)** const

Return the :ref:`MultiMesh<class_multimesh>` that is used for instancing.

.. _class_MultiMeshInstance_set_multimesh:

- void  **set_multimesh**  **(** :ref:`MultiMesh<class_multimesh>` multimesh  **)**

Set the :ref:`MultiMesh<class_multimesh>` to be instanced.


